Text::Abbrev(3)

NAME
abbrev - create an abbreviation table from a list

SYNOPSIS

    use Text::Abbrev;
    abbrev $hashref, LIST

DESCRIPTION
Stores all unambiguous truncations of each element of LIST as keys key in the associative array referenced to by $hashref. The values are the original list elements.

EXAMPLE

    $hashref = abbrev qw(list edit send abort gripe);
    %hash = abbrev qw(list edit send abort gripe);
    abbrev $hashref, qw(list edit send abort gripe);
    abbrev(*hash, qw(list edit send abort gripe));